Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611632 - [abrt] crash in gzip-1.3.13-4.fc13: Process /bin/gzip was killed by signal 11 (SIGSEGV)
[abrt] crash in gzip-1.3.13-4.fc13: Process /bin/gzip was killed by signal 11...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ltrace (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
abrt_hash:47f7499094e9af53b95e1f6b9fe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 21:14 EDT by Bojan Smojver
Modified: 2015-05-04 21:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.36 KB, text/plain)
2010-07-05 21:14 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2010-07-05 21:14:22 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gzip -d -c /usr/share/man/man1/ftp.1.gz
component: gzip
executable: /bin/gzip
global_uuid: 47f7499094e9af53b95e1f6b9fec18ab6f76433c
kernel: 2.6.33.5-124.fc13.x86_64
package: gzip-1.3.13-4.fc13
rating: 4
reason: Process /bin/gzip was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Ran ltrace -S -f man ftp
Comment 1 Bojan Smojver 2010-07-05 21:14:25 EDT
Created attachment 429635 [details]
File: backtrace
Comment 2 Karel Klíč 2010-07-06 12:28:19 EDT
Reproduced also on Fedora 12, gzip-1.3.12-15.fc12.i686.
Comment 3 Karel Klíč 2010-08-19 11:48:48 EDT
gzip crashes only when man running under ltrace executes it, and ltrace option -f is present (to trace child processes).

It seems to be a ltrace issue. On my Fedora 12 machine 'ltrace -S -f man ftp' crashes in gzip's _start(), before its code gets executed:

Core was generated by `gzip -d -c /usr/share/man/man1/ftp.1.gz'.
Program terminated with signal 11, Segmentation fault.
#0  0x08048ff8 in _start ()

Thread 1 (Thread 12771):
#0  0x08048ff8 in _start ()
No symbol table info available.
From        To          Syms Read   Shared Object Library
0x007bf990  0x008cb8a0  Yes (*)     /lib/libc-2.11.2.so
0x00787830  0x0079ecdf  Yes (*)     /lib/ld-2.11.2.so
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
eax            0x7a68e0	8022240
ecx            0x7a0030	7995440
edx            0x795d10	7953680
ebx            0x7a5fc4	8019908
esp            0x7a0030	0x7a0030
ebp            0x0	0x0
esi            0x4	4
edi            0x8048ff0	134516720
eip            0x8048ff8	0x8048ff8 <_start+8>
eflags         0x10206	[ PF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function _start:
0x08048ff0 <_start+0>:	xor    %ebp,%ebp
0x08048ff2 <_start+2>:	pop    %esi
0x08048ff3 <_start+3>:	mov    %ecx,%esp
0x08048ff5 <_start+5>:	and    $0xfffffff0,%esp
0x08048ff8 <_start+8>:	push   %eax
0x08048ff9 <_start+9>:	push   %esp
0x08048ffa <_start+10>:	push   %edx
0x08048ffb <_start+11>:	push   $0x8053680
0x08049000 <_start+16>:	push   $0xcc053690
0x08049005 <_start+21>:	push   %ecx
0x08049006 <_start+22>:	push   %esi
0x08049007 <_start+23>:	push   $0x804d220
0x0804900c <_start+28>:	call   0x8048d24 <__libc_start_main@plt>
0x08049011 <_start+33>:	hlt    
0x08049012 <_start+34>:	nop
0x08049013 <_start+35>:	nop
0x08049014 <_start+36>:	int3   
0x08049015 <_start+37>:	nop
0x08049016 <_start+38>:	nop
0x08049017 <_start+39>:	nop
0x08049018 <_start+40>:	nop
0x08049019 <_start+41>:	nop
0x0804901a <_start+42>:	nop
0x0804901b <_start+43>:	nop
0x0804901c <_start+44>:	nop
0x0804901d <_start+45>:	nop
0x0804901e <_start+46>:	nop
0x0804901f <_start+47>:	nop
End of assembler dump.
Comment 4 Bug Zapper 2011-06-01 10:39:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 09:57:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.